org.apache.cassandra.service

## Class ActiveRepairService.ParentRepairSession

- java.lang.Object
- - org.apache.cassandra.service.ActiveRepairService.ParentRepairSession

Enclosing class:
  ActiveRepairService

    public static class ActiveRepairService.ParentRepairSession
    extends java.lang.Object

### Field Summary

Fields
`java.util.Map<java.util.UUID,ColumnFamilyStore>` `columnFamilyStores`
`java.util.Collection<Range<Token>>` `ranges`
`long` `repairedAt`
`java.util.Map<java.util.UUID,java.util.Set<SSTableReader>>` `sstableMap`

### Constructor Summary

Constructors
Constructor and Description
`ActiveRepairService.ParentRepairSession(java.util.List<ColumnFamilyStore> columnFamilyStores, java.util.Collection<Range<Token>> ranges, java.util.Map<java.util.UUID,java.util.Set<SSTableReader>> sstables, long repairedAt)`

### Method Summary

Methods
`java.util.Collection<SSTableReader>` `getAndReferenceSSTables(java.util.UUID cfId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### columnFamilyStores

    public final java.util.Map<java.util.UUID,ColumnFamilyStore> columnFamilyStores

#### ranges

    public final java.util.Collection<Range<Token>> ranges

#### sstableMap

    public final java.util.Map<java.util.UUID,java.util.Set<SSTableReader>> sstableMap

#### repairedAt

    public final long repairedAt

### Constructor Detail

#### ActiveRepairService.ParentRepairSession

    public ActiveRepairService.ParentRepairSession(java.util.List<ColumnFamilyStore> columnFamilyStores,
                                           java.util.Collection<Range<Token>> ranges,
                                           java.util.Map<java.util.UUID,java.util.Set<SSTableReader>> sstables,
                                           long repairedAt)

### Method Detail

#### getAndReferenceSSTables

    public java.util.Collection<SSTableReader> getAndReferenceSSTables(java.util.UUID cfId)